Page({
  onH5Message(e) {
    console.log('---xxxxxxx', e); 
    // if (e.detail.data0.type === 'download') {
    //   wx.downloadFile({
    //     url: e.detail.data0.url,
    //     success: (res) => {
    //       wx.saveFile({
    //         tempFilePath: res.tempFilePath,
    //         success: (savedRes) => {
    //           wx.showToast({
    //             title: '下载成功'
    //           });
    //         }
    //       });
    //     }
    //   });
    // }
  }
});